LogLog (SLF4J 1.7.4 API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.helpers
Class LogLog

    java.lang.Object
      org.apache.log4j.helpers.LogLog

    public class LogLog

extends Object

This class used to output log statements from within the log4j package.

Log4j components cannot make log4j logging calls. However, it is sometimes useful for the user to learn about what log4j is doing. You can enable log4j internal logging by defining the log4j.configDebug variable.

All log4j internal debug calls go to `System.out` where as internal error messages are sent to `System.err`. All internal messages are prepended with the string "log4j: ".

Since:
  0.8.2
Author:
  Ceki Gülcü

Field Summary
`static String` | `CONFIG_DEBUG_KEY` Deprecated. Use `DEBUG_KEY` instead.
`static String` | `DEBUG_KEY` Defining this value makes log4j print log4j-internal debug statements to `System.out`.
`protected static boolean` | `debugEnabled`

Constructor Summary
`LogLog()`

Method Summary
`static void` | `debug(String msg)` This method is used to output log4j internal debug statements.
`static void` | `debug(String msg, Throwable t)` This method is used to output log4j internal debug statements.
`static void` | `error(String msg)` This method is used to output log4j internal error statements.
`static void` | `error(String msg, Throwable t)` This method is used to output log4j internal error statements.
`static void` | `setInternalDebugging(boolean enabled)` Allows to enable/disable log4j internal logging.
`static void` | `setQuietMode(boolean quietMode)` In quite mode no LogLog generates strictly no output, not even for errors.
`static void` | `warn(String msg)` This method is used to output log4j internal warning statements.
`static void` | `warn(String msg, Throwable t)` This method is used to output log4j internal warnings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG_KEY

    public static final String DEBUG_KEY

  Defining this value makes log4j print log4j-internal debug statements to `System.out`.

  The value of this string is log4j.debug.

  Note that the search for all option names is case sensitive.

  See Also:
    Constant Field Values

### CONFIG_DEBUG_KEY

    public static final String CONFIG_DEBUG_KEY

  Deprecated. Use `DEBUG_KEY` instead.
  Defining this value makes log4j components print log4j-internal debug statements to `System.out`.

  The value of this string is log4j.configDebug.

  Note that the search for all option names is case sensitive.

  See Also:
    Constant Field Values

### debugEnabled

    protected static boolean debugEnabled

Constructor Detail

### LogLog

    public LogLog()

Method Detail

### setInternalDebugging

    public static void setInternalDebugging(boolean enabled)

  Allows to enable/disable log4j internal logging.

### debug

    public static void debug(String msg)

  This method is used to output log4j internal debug statements. Output goes to `System.out`.

### debug

    public static void debug(String msg,
                             Throwable t)

  This method is used to output log4j internal debug statements. Output goes to `System.out`.

### error

    public static void error(String msg)

  This method is used to output log4j internal error statements. There is no way to disable error statements. Output goes to `System.err`.

### error

    public static void error(String msg,
                             Throwable t)

  This method is used to output log4j internal error statements. There is no way to disable error statements. Output goes to `System.err`.

### setQuietMode

    public static void setQuietMode(boolean quietMode)

  In quite mode no LogLog generates strictly no output, not even for errors.

  Parameters:
    `quietMode` - A true for not

### warn

    public static void warn(String msg)

  This method is used to output log4j internal warning statements. There is no way to disable warning statements. Output goes to `System.err`.

### warn

    public static void warn(String msg,
                            Throwable t)

  This method is used to output log4j internal warnings. There is no way to disable warning statements. Output goes to `System.err`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2013 QOS.ch. All Rights Reserved.